#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,k;
    int resenje;
    int *input;
    scanf("%d%d",&n,&k);
    input=malloc(n*sizeof(int));
    for(int i=0;i<n;i++){
        scanf("%d",&input[i]);
    }
    resenje=f(input,k,n);
    printf("%d",resenje);
    free(input);
    return 0;
}
int f(int a[], int k,int n){
    int value=0;
    if(k==0){
        for(int i=0;i<n;i++){
            value+=a[i];
        }
    }else{
        for(int i=0;i<n;i++){
            for(int j=i;j<n;j++){
                int b[j-i];
                for(int x=0;x<j-i;x++){
                    b[x]=a[i+x];
                }
                value+=f(b,k-1,n);
            }
        }
    }
    return value;
}